<?php

namespace AcyChecker\Services;


use AcyCheckerCmsServices\File;
use AcyCheckerCmsServices\Message;

class FileService
{
    public static function createDir($dir, $report = true, $secured = false)
    {
        if (is_dir($dir)) return true;

        $indexhtml = '<html><body bgcolor="#FFFFFF"></body></html>';

        //Create the directory with an index file inside
        try {
            $status = File::createFolder($dir);
        } catch (\Exception $e) {
            $status = false;
        }

        if (!$status) {
            if ($report) {
                Message::display('Could not create the directory '.$dir, 'error');
            }

            return false;
        }

        try {
            $status = File::writeFile($dir.DS.'index.html', $indexhtml);
        } catch (\Exception $e) {
            $status = false;
        }

        if (!$status) {
            if ($report) {
                Message::display('Could not create the file '.$dir.DS.'index.html', 'error');
            }
        }

        if ($secured) {
            try {
                $htaccess = 'Order deny,allow'."\r\n".'Deny from all';
                $status = File::writeFile($dir.DS.'.htaccess', $htaccess);
            } catch (\Exception $e) {
                $status = false;
            }

            if (!$status) {
                if ($report) {
                    Message::display('Could not create the file '.$dir.DS.'.htaccess', 'error');
                }
            }
        }

        return $status;
    }
}
