<?php


namespace AcyChecker\Services;


use AcyCheckerCmsServices\Language;
use AcyCheckerCmsServices\Security;
use AcyCheckerCmsServices\Url;
use AcyCheckerCmsServices\Router as CmsRouter;

class RouterService
{
    public function __construct()
    {
        $ctrl = Security::getVar('cmd', 'ctrl');
        $task = Security::getVar('cmd', 'task');

        if (empty($ctrl)) {
            $ctrl = str_replace(ACYC_COMPONENT.'_', '', Security::getVar('cmd', 'page'));

            if (empty($ctrl)) {
                $ctrl = 'dashboard';
            }

            Security::setVar('ctrl', $ctrl);
        }

        $controllerNamespace = 'AcyChecker\\Controllers\\'.ucfirst($ctrl).'Controller';

        if (!class_exists($controllerNamespace)) {
            Security::raiseError(E_ERROR, 404, Language::translation('ACYC_PAGE_NOT_FOUND').': '.$ctrl);

            return;
        }

        $controller = new $controllerNamespace;

        if (empty($controller)) {
            CmsRouter::redirect(Url::completeLink('dashboard', false, true));

            return;
        }

        if (empty($task)) {
            $task = Security::getVar('cmd', 'defaulttask', $controller->defaultTask);
            Security::setVar('task', $task);
        }

        $controller->call($task);
    }
}
