<?php

use AcyChecker\Services\FormService;
use AcyChecker\Services\TooltipService;
use AcyCheckerCmsServices\Form;
use AcyCheckerCmsServices\Language;

?>
<div id="acyc_configuration">
	<form action="" method="post" class="cell grid-x acyc_content">
		<h2 class="cell acyc__title"><?php echo Language::translation('ACYC_WHO'); ?></h2>
		<div class="cell grid-x">
			<p class="cell medium-3"><?php echo Language::translation('ACYC_WHICH_TABLE_USERS_CLEAN'); ?></p>
            <?php foreach ($this->data['tables_select'] as $tableInfo) { ?>
				<div class="cell shrink margin-right-1">
					<label>
						<input type="checkbox" <?php echo in_array($tableInfo['value'], $this->data['current_config']['tables_selected']) ? 'checked' : ''; ?>
							   value="<?php echo $tableInfo['value']; ?>"
							   name="acyc_config[tables_selected][<?php echo $tableInfo['value']; ?>]">
						<span><?php echo $tableInfo['text']; ?></span>
					</label>
				</div>
            <?php } ?>
		</div>
		<div class="cell grid-x">
			<p class="cell medium-3"><?php echo Language::translation('ACYC_TEST_NEWLY_CREATED_USER_ONLY'); ?></p>
			<div class="cell shrink margin-right-1">
				<label>
					<input
                        <?php echo $this->data['current_config']['only_newly'] ? 'checked' : ''; ?>
							type="radio"
							value="1"
							name="acyc_config[only_newly]">
					<span><?php echo Language::translation('ACYC_YES'); ?></span>
				</label>
			</div>
			<div class="cell shrink margin-right-1">
				<label>
					<input
                        <?php echo $this->data['current_config']['only_newly'] ? '' : 'checked'; ?>
							type="radio"
							value="0"
							name="acyc_config[only_newly]">
					<span><?php echo Language::translation('ACYC_NO'); ?></span>
				</label>
			</div>
		</div>
        <?php foreach ($this->data['tables_filters'] as $nameKey => $tableFilter) { ?>
			<div class="cell grid-x" data-acyc-table="<?php echo $nameKey; ?>">
				<label for="<?php echo 'table_filter_'.$nameKey ?>" class="cell medium-3">
                    <?php echo Language::translationSprintf(
                        'ACYC_X_ADDITIONAL_FILTER',
                        $tableFilter['text']
                    ); ?>
                    <?php echo TooltipService::info('ACYC_IF_NO_FILTER_SELECTED_ALL_TAKEN'); ?>
				</label>
				<div class="cell shrink">
                    <?php echo FormService::selectMultiple(
                        $tableFilter['values'],
                        'acyc_config[table_filter_'.$nameKey.']',
                        $this->data['current_config']['table_filter_'.$nameKey],
                        ['id' => 'table_filter_'.$nameKey]
                    ); ?>
				</div>
			</div>
        <?php } ?>
		<h2 class="cell acyc__title margin-top-2"><?php echo Language::translation('ACYC_CONDITIONS'); ?></h2>
		<div class="cell grid-x align-center">
			<p class="cell"><?php echo Language::translation('ACYC_BLOCK_DISABLE_USER_IF'); ?></p>
			<div class="cell medium-10 grid-x">
                <?php foreach ($this->data['condition_select'] as $conditionSelect) { ?>
					<label class="cell medium-6">
						<input type="checkbox" <?php echo in_array($conditionSelect['value'], $this->data['current_config']['conditions_selected']) ? 'checked' : ''; ?>
							   name="acyc_config[conditions_selected][<?php echo $conditionSelect['value']; ?>]"
							   value="<?php echo $conditionSelect['value']; ?>">
						<span><?php echo $conditionSelect['text']; ?><?php echo TooltipService::info($conditionSelect['description']); ?></span>
					</label>
                <?php } ?>
			</div>
		</div>
		<h2 class="cell acyc__title margin-top-2"><?php echo Language::translation('ACYC_WHEN'); ?></h2>
		<div class="cell grid-x">
			<p class="cell medium-3"><?php echo Language::translation('ACYC_WHEN_CLEANING_PROCESS_RUN'); ?></p>
            <?php foreach ($this->data['execution_select'] as $executionInfo) { ?>
				<div class="cell shrink margin-right-1">
					<label>
						<input type="radio" <?php echo $this->data['current_config']['execution_selected'] == $executionInfo['value'] ? 'checked' : ''; ?>
							   value="<?php echo $executionInfo['value']; ?>"
							   name="acyc_config[execution_selected]">
						<span><?php echo $executionInfo['text']; ?></span>
					</label>
				</div>
            <?php } ?>
		</div>
		<div class="cell grid-x align-center">
			<button class="cell shrink button" id="acyc__configuration__save__button"><?php echo Language::translation('ACYC_SAVE'); ?></button>
		</div>
        <?php Form::formOptions(true, 'save', null, 'configuration'); ?>
	</form>
</div>
