<?php

use AcyCheckerCmsServices\Form;
use AcyCheckerCmsServices\Language;
use AcyCheckerCmsServices\Security;
use AcyCheckerCmsServices\Url;
use AcyChecker\Services\DebugService;

$licenseKey = $this->config->get('license_key', '');
if (file_exists(DebugService::getLogPath('individual_tests.log'))) { ?>
	<div class="cell acyc_content margin-bottom-1">
        <?php echo Language::translation('ACYC_ERROR_INDIVIDUAL_TEST'); ?>
		<a target="_blank" href="<?php echo Url::completeLink('dashboard&task=seeLog&log=individual_tests', true); ?>">
            <?php echo Language::translation('ACYC_SEE_LOGS'); ?>
		</a>
		<a target="_self" href="<?php echo Url::completeLink('dashboard&task=deleteLog&log=individual_tests'); ?>">
            <?php echo Language::translation('ACYC_DELETE_LOGS'); ?>
		</a>
	</div>
<?php } ?>
<div id="acyc__dashboard" class="cell grid-x grid-margin-x">
	<div class="cell medium-6 grid-x acyc_content" id="acyc__dashboard__license">
		<form action="" class="cell grid-x" method="post">
			<h2 class="cell"><?php echo Language::translation('ACYC_GLOBAL_CONFIGURATION'); ?></h2>
			<div class="cell grid-x acyc_vcenter grid-margin-x">
				<label for="acyc__dashboard__license__input" class="cell shrink"><?php echo Language::translation('ACYC_LICENSE_KEY'); ?></label>
				<input type="text" id="acyc__dashboard__license__input" class="cell auto" name="license_key" value="<?php echo Security::escape($licenseKey); ?>">
			</div>
			<div class="cell grid-x acyc_vcenter margin-top-1 grid-margin-x">
				<div class="cell medium-6">
					<a target="_blank"
					   href="<?php echo ACYC_ACYCHECKER_WEBSITE.'my-account/license?utm_source=acychecker_plugin&utm_campaign=get_my_key&utm_medium=button_get_my_key_dashboard' ?>">
                        <?php echo Language::translation('ACYC_GET_MY_KEY'); ?>
					</a>
				</div>
				<div class="cell medium-6 grid-x align-right">
					<button class="cell shrink button">
                        <?php
                        if (empty($licenseKey)) {
                            echo Language::translation('ACYC_ATTACH_MY_LICENSE');
                        } else {
                            echo Language::translation('ACYC_DETACH_MY_LICENSE');
                        }
                        ?>
					</button>
				</div>
			</div>
            <?php Form::formOptions(true, empty($licenseKey) ? 'attachLicenseKey' : 'detachLicenseKey', null, 'dashboard'); ?>
		</form>
	</div>
	<div class="cell grid-x medium-6 acyc_content text-left">
		<div class="cell"><?php echo Language::translation('ACYC_YOU_CURRENTLY_HAVE'); ?></div>
		<ul class="cell">
			<li>
                <?php echo Language::translationSprintf(
                    'ACYC_X_Y_USERS_AVERAGE_Z_PER_MONTH',
                    '<b>'.$this->data['cmsUsers'].'</b>',
                    ACYC_CMS_TITLE,
                    $this->data['cmsUsersEvolution']
                ); ?>
			</li>
            <?php if (!empty($this->data['acyUsers'])) { ?>
				<li>
                    <?php echo Language::translationSprintf(
                        'ACYC_X_Y_USERS_AVERAGE_Z_PER_MONTH',
                        '<b>'.$this->data['acyUsers'].'</b>',
                        'AcyMailing',
                        $this->data['acyUsersEvolution']
                    ); ?>
				</li>
            <?php } ?>
		</ul>
        <?php
        if (in_array($this->config->get('license_level', ''), ['', 'AcyChecker-Starter']) && $this->data['totalDisposabeEmails'] > 0) {
            $acyText = '';
            if (!empty($this->data['acyUsers'])) {
                $acyText = Language::translationSprintf(
                    'ACYC_AND_X_Y_USERS',
                    '<b>'.$this->data['disposableAcyEmails'].'</b>',
                    'acymailing'
                );
            }
            $linkGetLicense = ACYC_ACYCHECKER_WEBSITE.'pricing?utm_source=acychecker_plugin&utm_campaign=get_license&utm_medium=button_get_license';
            ?>
			<div class="cell">
                <?php echo Language::translationSprintf(
                    'ACYC_BASED_ON_SAMPLE_POTENTIAL_X_FAKE_EMAILS',
                    '<b>'.$this->data['disposableCmsEmails'].'</b>',
                    ACYC_CMS_TITLE,
                    $acyText
                ); ?>
			</div>
			<div class="cell margin-bottom-1">
                <?php echo Language::translationSprintf(
                    'ACYC_BASED_ON_TEST_RECOMMENDATION',
                    $this->data['suggestedPlan']
                ); ?>
			</div>
			<div class="cell grid-x align-center margin-y">
				<a class="cell shrink button" href="<?php echo $linkGetLicense; ?>" target="_blank">
                    <?php echo Language::translation('ACYC_GET_A_LICENSE'); ?>
				</a>
			</div>
        <?php } ?>
        <?php if (!empty($this->config->get('license_level')) && $this->config->get('license_level') !== 'AcyChecker-Starter') { ?>
			<div class="cell medium-6 text-center margin-y">
				<a class="button button-secondary" href="<?php echo Url::completeLink('configuration'); ?>">
                    <?php echo Language::translation('ACYC_CLEAN_DATABASE'); ?>
				</a>
			</div>
			<div class="cell medium-6 text-center">
				<a class="button button-secondary" href="<?php echo Url::completeLink('registration'); ?>">
                    <?php echo Language::translation('ACYC_BLOCK_FAKE_USERS'); ?>
				</a>
			</div>
        <?php } ?>
	</div>
	<div class="cell grid-x acyc_content margin-top-2" id="acyc__dashboard__chart__container">
        <?php if (!empty($this->data['emptyStats'])) { ?>
			<h1 class="cell text-center acyc__dashboard__chart__title-empty"><?php echo Language::translation('ACYC_FAKE_STATS') ?></h1>
        <?php } ?>
		<div class="cell grid-x align-center margin-top-2">
			<h3 class="cell text-center acyc__dashboard__chart__title"><?php echo Language::translation('ACYC_USER_BLOCKED_THIS_MONTH'); ?></h3>
            <?php if (!empty($this->data['emptyStatsBlocked']) && empty($this->data['emptyStats'])) { ?>
				<p class="cell text-center"><?php echo Language::translation('ACYC_FAKE_STATS_BLOCKED_USERS'); ?></p>
            <?php } ?>
			<div class="cell text-center"
				 id="acyc__dashboard__chart__blocked"
				 data-acyc-options="<?php echo Security::escape($this->data['block_reason']) ?>"></div>
		</div>
		<div class="cell grid-x align-center margin-top-2">
			<h3 class="cell text-center acyc__dashboard__chart__title"><?php echo Language::translation('ACYC_REPARTITION_EMAIL_TESTED'); ?></h3>
            <?php foreach ($this->data['donutData'] as $donutData) { ?>
				<div class="cell medium-2"
					 id="acyc__dashboard__chart__<?php echo $donutData['nameKey']; ?>"
					 data-acyc-<?php echo $donutData['nameKey']; ?>="<?php echo $donutData['value']; ?>"></div>
            <?php } ?>
		</div>
		<div class="cell grid-x align-center margin-top-2">
			<h3 class="cell text-center acyc__dashboard__chart__title"><?php echo Language::translation('ACYC_NUMBER_REQUEST_MONTH') ?></h3>
			<div class="cell grid-x margin-top-1"
				 id="acyc__dashboard__chart__line"
				 data-acyc-options="<?php echo Security::escape(json_encode($this->data['month_calls'])); ?>"></div>
		</div>
	</div>
</div>
