<?php

use AcyCheckerCmsServices\Form;
use AcyCheckerCmsServices\Language;

?>
<div id="acyc_configuration">
	<form action="" method="post" class="cell grid-x acyc_content">
		<h2 class="cell acyc__title"><?php echo Language::translation('ACYC_WHO'); ?></h2>
		<div class="cell grid-x">
			<p class="cell medium-3"><?php echo Language::translation('ACYC_REGISTRATION_TYPE'); ?></p>
            <?php
            foreach ($this->data['tables_select'] as $tableInfo) {
                $checked = in_array($tableInfo['value'], $this->data['current_config']['registration_integrations']) ? 'checked' : '';
                ?>
				<div class="cell shrink margin-right-1">
					<label>
						<input
								type="checkbox" <?php echo $checked; ?>
								name="acyc_config[registration_integrations][<?php echo $tableInfo['value']; ?>]"
								value="<?php echo $tableInfo['value']; ?>">
						<span><?php echo $tableInfo['text']; ?></span>
					</label>
				</div>
            <?php } ?>
		</div>
		<h2 class="cell acyc__title margin-top-2"><?php echo Language::translation('ACYC_CONDITIONS'); ?></h2>
		<div class="cell grid-x align-center">
			<p class="cell"><?php echo Language::translation('ACYC_PREVENT_SUBSCRIPTION_IF_ADDRESS'); ?></p>
			<div class="cell medium-10 grid-x">

                <?php
                foreach ($this->data['condition_select'] as $conditionSelect) {
                    $checked = in_array($conditionSelect['value'], $this->data['current_config']['registration_conditions']) ? 'checked' : '';
                    ?>
					<label class="cell medium-6">
						<input
								type="checkbox" <?php echo $checked; ?>
								name="acyc_config[registration_conditions][<?php echo $conditionSelect['value']; ?>]"
								value="<?php echo $conditionSelect['value']; ?>">
						<span><?php echo $conditionSelect['text']; ?></span>
					</label>
                <?php } ?>
			</div>
		</div>
		<div class="cell grid-x align-center margin-top-2">
			<button class="cell shrink button" id="acyc__configuration__save__button"><?php echo Language::translation('ACYC_SAVE'); ?></button>
		</div>
        <?php Form::formOptions(true, 'save', null, 'registration'); ?>
	</form>
</div>
