<?php

use AcyChecker\Services\StatusService;
use AcyCheckerCmsServices\Form;
use AcyCheckerCmsServices\Language;
use AcyCheckerCmsServices\Security;
use AcyCheckerCmsServices\Url;

?>
<form class="cell grid-x acyc_content" id="acyc__tests__listing" method="post">
	<div class="cell grid-x acyc__test__listing__actions">
		<div class="cell medium-6 grid-x">
			<input type="text"
				   id="acyc__test__listing__actions__search-input"
				   placeholder="<?php echo Language::translation('ACYC_SEARCH'); ?>"
				   class="cell grid-x medium-8"
				   name="search"
				   value="<?php echo Security::escape($this->data['search']); ?>">
			<button class="cell shrink button margin-left-1"><?php echo Language::translation('ACYC_SEARCH'); ?></button>
		</div>
		<div class="cell medium-6 grid-x align-right">
			<button type="button"
					id="acyc__test__listing__actions-delete"
					class="shrink button button-secondary"
					acyc-data-redirect="<?php echo Url::completeLink('tests&task=clearTests'); ?>">
                <?php echo Language::translation('ACYC_CLEAR_TESTS'); ?>
			</button>
			<button type="button"
					id="acyc__test__listing__actions-export"
					class="shrink button button-secondary margin-left-1"
					acyc-data-redirect="<?php echo Url::completeLink('tests&task=doexport&noheader=1'); ?>">
                <?php echo Language::translation('ACYC_EXPORT'); ?>
			</button>
		</div>
	</div>
	<div class="cell grid-x margin-top-2 margin-bottom-1">
        <?php echo StatusService::initStatusListing($this->data['status'], empty($this->data['current_status']) ? 'all' : $this->data['current_status']); ?>
	</div>
    <?php if (empty($this->data['elements'])) { ?>
		<h2 class="cell text-center"><?php echo Language::translation('ACYC_NO_TESTS_TO_DISPLAY'); ?></h2>
    <?php } else { ?>
		<div class="cell grid-x acyc__test__listing__listing">
			<div class="cell grid-x acyc__test__listing__listing__header">
				<div class="cell medium-3 acyc__listing__header__title">
                    <?php echo Language::translation('ACYC_EMAIL'); ?>
				</div>
				<div class="cell auto acyc__listing__header__title">
                    <?php echo Language::translation('ACYC_DATE'); ?>
				</div>
				<div class="cell auto acyc__listing__header__title">
                    <?php echo Language::translation('ACYC_FINAL_STATUS'); ?>
				</div>
				<div class="cell auto acyc__listing__header__title text-center">
                    <?php echo Language::translation('ACYC_DISPOSABLE'); ?>
				</div>
				<div class="cell auto acyc__listing__header__title text-center">
                    <?php echo Language::translation('ACYC_FREE'); ?>
				</div>
				<div class="cell auto acyc__listing__header__title text-center">
                    <?php echo Language::translation('ACYC_ACCEPT_ALL'); ?>
				</div>
				<div class="cell auto acyc__listing__header__title text-center">
                    <?php echo Language::translation('ACYC_ROLE_EMAIL'); ?>
				</div>
				<div class="cell auto acyc__listing__header__title text-center">
                    <?php echo Language::translation('ACYC_STATUS'); ?>
				</div>
			</div>
			<div class="cell grid-x acyc__test__listing__listing__body">
                <?php foreach ($this->data['elements'] as $test) { ?>
					<div class="cell grid-x acyc__listing__body__row">
						<div class="cell medium-3 acyc__listing__body__cell">
                            <?php echo $test->email; ?>
						</div>
						<div class="cell auto acyc__listing__body__cell">
                            <?php echo $test->date; ?>
						</div>
						<div class="cell auto acyc__listing__body__cell">
                            <?php echo empty($this->data['final_status_texts'][$test->final_status]) ? '-' : $this->data['final_status_texts'][$test->final_status]; ?>
						</div>
						<div class="cell auto acyc__listing__body__cell text-center">
                            <?php echo is_null($test->disposable) ? '-' : $test->disposable; ?>
						</div>
						<div class="cell auto acyc__listing__body__cell text-center">
                            <?php echo is_null($test->free) ? '-' : $test->free; ?>
						</div>
						<div class="cell auto acyc__listing__body__cell text-center">
                            <?php echo is_null($test->accept_all) ? '-' : $test->accept_all; ?>
						</div>
						<div class="cell auto acyc__listing__body__cell text-center">
                            <?php echo is_null($test->role_email) ? '-' : $test->role_email; ?>
						</div>
						<div class="cell auto acyc__listing__body__cell text-center">
                            <?php echo $test->status; ?>
						</div>
					</div>
                <?php } ?>
			</div>
			<div class="cell grid-x margin-top-2">
                <?php echo $this->data['pagination']->display(); ?>
			</div>
		</div>
    <?php } ?>
    <?php Form::formOptions(true, 'listing', null, 'tests', true); ?>
</form>
