"use strict";

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

var DefaultConfiguration = /*#__PURE__*/function () {
  function DefaultConfiguration() {
    _classCallCheck(this, DefaultConfiguration);

    this.inputTask = document.querySelector('input[name="task"]');
    this.saveButton = document.getElementById('acyc__configuration__save__button');
    this.radioSaveButtonText = ['week', 'month'];
    this.changeButtonText();
    this.onChangeRadioExecutionTime();
    this.onChangeTableSelection();
    this.displayFilter();
  }

  _createClass(DefaultConfiguration, [{
    key: "onChangeRadioExecutionTime",
    value: function onChangeRadioExecutionTime() {
      var _this = this;

      var radioButtons = document.querySelectorAll('input[name="acyc_config[execution_selected]"]');
      radioButtons.forEach(function (radioButton) {
        radioButton.addEventListener('change', function () {
          return _this.changeButtonText();
        });
      });
    }
  }, {
    key: "changeButtonText",
    value: function changeButtonText() {
      var selectedRadio = document.querySelector('input[name="acyc_config[execution_selected]"]:checked');

      if (!selectedRadio || this.radioSaveButtonText.includes(selectedRadio.value)) {
        this.changeTextToSave();
      } else {
        this.changeTextToProcess();
      }
    }
  }, {
    key: "changeTextToSave",
    value: function changeTextToSave() {
      this.saveButton.innerText = ACYC_LANGUAGES.ACYC_SAVE;
      this.inputTask.value = 'save';
    }
  }, {
    key: "changeTextToProcess",
    value: function changeTextToProcess() {
      this.saveButton.innerText = ACYC_LANGUAGES.ACYC_PROCESS;
      this.inputTask.value = 'process';
    }
  }, {
    key: "onChangeTableSelection",
    value: function onChangeTableSelection() {
      var _this2 = this;

      var checkedTables = document.querySelectorAll('input[name*="acyc_config[tables_selected]"]');
      checkedTables.forEach(function (checkbox) {
        checkbox.addEventListener('change', function () {
          return _this2.displayFilter();
        });
      });
    }
  }, {
    key: "displayFilter",
    value: function displayFilter() {
      var checkedTables = document.querySelectorAll('input[name*="acyc_config[tables_selected]"]');
      checkedTables.forEach(function (checkbox) {
        var filters = document.querySelector("[data-acyc-table=\"".concat(checkbox.value, "\"]"));
        if (!filters) return;
        filters.style.display = checkbox.checked ? 'flex' : 'none';
      });
    }
  }]);

  return DefaultConfiguration;
}();

document.addEventListener('DOMContentLoaded', function () {
  new DefaultConfiguration();
});