"use strict";

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

var TooltipService = /*#__PURE__*/function () {
  function TooltipService() {
    _classCallCheck(this, TooltipService);
  }

  _createClass(TooltipService, null, [{
    key: "initTooltip",
    value: function initTooltip() {
      var tooltips = document.querySelectorAll('.acyc__tooltip');
      tooltips.forEach(function (tooltip) {
        tooltip.addEventListener('mouseenter', function () {
          TooltipService.setPositionTooltip(tooltip.querySelector('.acyc__tooltip__text'), tooltip);
        });
      });
    }
  }, {
    key: "setPositionTooltip",
    value: function setPositionTooltip(tooltipText, tooltip) {
      var offsetTop = tooltip.offsetTop;
      var offsetLeft = tooltip.offsetLeft;
      var scrollTop = window.scrollTop;
      var top = offsetTop - scrollTop;
      var newTop, newLeft;

      if (tooltipText.classList.contains('acyc__tooltip__text__right')) {
        newTop = top - tooltipText.offsetHeight < 0 ? 0 : top - tooltipText.offsetHeight;
        newLeft = offsetLeft + tooltip.offsetWidth + 10 < 0 ? 0 : offsetLeft + tooltip.offsetWidth + 10;
      } else if (tooltipText.classList.contains('acym__tooltip__text__left')) {
        newTop = top - tooltipText.offsetHeight < 0 ? 0 : top - tooltipText.offsetHeight;
        newLeft = offsetLeft - tooltipText.offsetWidth - tooltip.offsetWidth - 10 < 0 ? 0 : offsetLeft - tooltipText.offsetWidth - tooltip.offsetWidth - 10;
      } else {
        newTop = Math.max(0, top - tooltipText.offsetHeight - 15);
        newLeft = Math.max(0, offsetLeft - tooltipText.offsetWidth / 2 + tooltip.offsetWidth / 2);
      }

      tooltipText.style.top = "".concat(newTop, "px");
      tooltipText.style.left = "".concat(newLeft, "px");
    }
  }]);

  return TooltipService;
}();