<?php

include_once 'admin/vendor/autoload.php';
include_once 'admin/defines.php';

use AcyCheckerCmsServices\Language;
use AcyCheckerCmsServices\File;
use AcyCheckerCmsServices\Message;

class com_acycheckerInstallerScript
{
    public function install($parent)
    {
        installAcyc();
    }

    public function update($parent)
    {
        installAcyc();
    }

    public function uninstall($parent)
    {
        return uninstallAcyc();
    }

    public function preflight($type, $parent)
    {
        if ($type === 'update') {
            $db = JFactory::getDbo();
            $query = $db->getQuery(true)->select('*')->from('#__extensions');
            $query->where(
                'type = "component" AND element = "com_acychecker"'
            );
            $db->setQuery($query);

            try {
                $extension = $db->loadObject();
            } catch (Exception $e) {
                echo JText::sprintf('JLIB_DATABASE_ERROR_FUNCTION_FAILED', $e->getCode(), $e->getMessage()).'<br />';

                return false;
            }

            $installer = new JInstaller();
            $installer->refreshManifestCache($extension->extension_id);
        }

        return true;
    }

    public function postflight($type, $parent)
    {
        return true;
    }
}

function installAcyc()
{
    $menuStrings = [
        'ACYC_DASHBOARD',
        'ACYC_CLEAN_DATABASE',
        'ACYC_BLOCK_ON_REGISTRATION',
        'ACYC_TESTS',
    ];

    $siteLanguages = array_keys(Language::getLanguages());

    foreach ($siteLanguages as $code) {

        $path = Language::getLanguagePath(ACYC_ROOT, $code).DS.$code.'.com_acychecker.ini';
        if (!file_exists($path)) continue;

        $content = file_get_contents($path);
        if (empty($content)) continue;

        // The first key is to translate "Acyc" into "AcyChecker blabla" in the Joomla Extension manager
        // The second key is to translate "com_acychecker" into "AcyChecker" in the Joomla global configuration page
        // DON'T CHANGE THE KEY !!
        $menuFileContent = 'ACYC="AcyChecker"'."\r\n";
        $menuFileContent .= 'COM_ACYCHECKER="AcyChecker"'."\r\n";
        $menuFileContent .= 'COM_ACYCHECKER_CONFIGURATION="AcyChecker"'."\r\n";

        foreach ($menuStrings as $oneString) {
            preg_match('#[^_]'.$oneString.'="(.*)"#i', $content, $matches);
            if (empty($matches[1])) continue;

            $menuFileContent .= $oneString.'="'.$matches[1].'"'."\r\n";
        }

        $menuPath = ACYC_ROOT.'administrator'.DS.'language'.DS.$code.DS.$code.'.com_acychecker.sys.ini';

        if (!File::writeFile($menuPath, $menuFileContent)) {
            Message::enqueueMessage(Language::translationSprintf('ACYC_FAIL_SAVE_FILE', $menuPath), 'error');
        }
    }
}

function uninstallAcyc()
{
}
